Skip to main content
GET
/
entities
/
{entityId}
/
insights
/
default-interest
Get default interest
curl --request GET \
  --url https://api.syntage.com/entities/{entityId}/insights/default-interest \
  --header 'X-API-Key: <api-key>'
{
  "summary": {
    "lastMonthTotal": 1250.75,
    "threeMonthAverage": 940.25,
    "twelveMonthTotal": 18250.5,
    "yoyThreeMonthPercentage": 18.45,
    "lastMonthVsThreeMonthPercentage": 33.02,
    "trendPercentage": 12.3,
    "isRecurring": true,
    "institutionCount": 2,
    "periodTotal": 18250.5,
    "periodInstitutionCount": 2,
    "periodFrom": "2025-01-01",
    "periodTo": "2025-12-31"
  },
  "monthly": [
    {
      "date": "2025-01-01",
      "totalAmount": 1250.75
    }
  ],
  "monthlyByInstitution": [
    {
      "date": "2025-01-01",
      "issuerRfc": "PEIC211118IS0",
      "issuerName": "BANCO EJEMPLO SA",
      "legalName": "BANCO EJEMPLO SA INSTITUCION DE BANCA MULTIPLE",
      "tradeName": "Banco Ejemplo",
      "totalAmount": 1250.75
    }
  ],
  "institutions": [
    {
      "issuerRfc": "PEIC211118IS0",
      "issuerName": "BANCO EJEMPLO SA",
      "legalName": "BANCO EJEMPLO SA INSTITUCION DE BANCA MULTIPLE",
      "tradeName": "Banco Ejemplo",
      "totalAmount": 18250.5
    }
  ]
}

Authorizations

X-API-Key
string
header
required

Your API key is available in the Production and Sandbox dashboards.

Path Parameters

entityId
string<uuid>
required

Query Parameters

options[from]
string<date-time>

Start date of the period to analyze.

Example:

"2025-01-01T00:00:00.000Z"

options[to]
string<date-time>

End date of the period to analyze.

Example:

"2025-12-31T23:59:59.999Z"

Response

Default Interest

summary
object

Summary KPIs for moratory-interest charges.

monthly
object[]

Monthly moratory-interest totals for the selected period.

monthlyByInstitution
object[]

Monthly moratory-interest totals broken down by financial institution.

institutions
object[]

Financial institution aggregates over the 12-month window, sorted by total amount descending.